Loading...
Searching...
No Matches
mzintegrationparams.h File Reference
`#include <map>`
`#include <QObject>`
`#include <QQmlEngine>`
`#include "pappsomspp/core/js_qml/jsclassregistrar.h"`
`#include "pappsomspp/core/precision.h"`
`#include "pappsomspp/core/massspectrum/massspectrum.h"`

Go to the source code of this file.

## Classes

class | pappso::MzIntegrationParams
| The MzIntegrationParams class provides the parameters definining how m/z integrations must be performed. More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

constexpr MzIntegrationParams::InitializationResult | pappso::operator| (MzIntegrationParams::InitializationResult a, MzIntegrationParams::InitializationResult b)
constexpr MzIntegrationParams::InitializationResult | pappso::operator& (MzIntegrationParams::InitializationResult a, MzIntegrationParams::InitializationResult b)
constexpr MzIntegrationParams::InitializationResult | pappso::operator|= (MzIntegrationParams::InitializationResult &a, MzIntegrationParams::InitializationResult b)
MzIntegrationParams::BinningType | pappso::getBinningTypeFromString (const QString &text)